{
  buildHomeAssistantComponent,
  python3Packages,
  fetchFromGitHub,
  ...
}:
buildHomeAssistantComponent rec {
  owner = "greghesp";
  domain = "bambu_lab";
  version = "v2.2.19";

  src = fetchFromGitHub {
    owner = owner;
    repo = "ha-bambulab";
    rev = version;
    hash = "sha256-BRTbo9v9a4iCkrgVfyFzZXZS4ogDr+Kkx9qz8bhAaDc=";
  };

  nativeBuildInputs = with python3Packages; [
    beautifulsoup4
  ];

  meta = {
    changelog = "https://github.com/greghesp/ha-bambulab/releases/tag/${version}";
    description = "A Home Assistant Integration for Bambu Lab printers.";
    homepage = "https://github.com/greghesp/ha-bambulab";
    maintainers = [ ];
  };
}
